/* Categories Section */
.categories-section {
    padding: var(--space-2xl) var(--container-padding);
    /*background-color: var(--bg-white);*/
    background-color: #f5f5f7;
}
.categories-section.main-categories{
    background-color: var(--bg-white);
}
.categories-grid {
    /*display: flex;*/
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, 75px);
    gap: 25px;/*var(--space-xl)*/
    flex-wrap: wrap;
}

.category-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-sm);
    transition: all var(--transition-normal);
}

.category-item:hover {
    transform: translateY(-8px);
}

.category-item:hover .category-icon {
    transform: scale(1.15);
    /*box-shadow: var(--shadow-hover);*/
}
.categories-icon-width{
    max-width: 1240px;
    margin:auto;
}
.category-icon,.toggle-icon {
    width: 56px;
    height: 56px;
    border-radius: var(--radius-full);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all var(--transition-normal);
    /*box-shadow: var(--shadow-sm);*/
}

.category-icon i {
    font-size: 32px;
}

.category-name {
    font-size: 14px;
    font-weight: 500;
    color: var(--text-secondary);
    transition: color var(--transition-normal);
}

.category-item:hover .category-name {
    color: var(--text-primary);
}

.category-item{
    text-align:center;
    cursor:pointer;
}


.hidden-category{
    display:none;
}

.categories-grid.expanded .hidden-category{
    display:block;
}


.category-toggle{
    display:flex;
    flex-direction:column;
    align-items:center;
    gap:var(--space-sm);
    cursor:pointer;
    transition:all var(--transition-normal);
}

.category-toggle:hover{
    transform:translateY(-8px);
}

.category-toggle:hover .category-icon{
    transform:scale(1.15);
    box-shadow:var(--shadow-hover);
}
  .category-toggle{
      display:flex;
      flex-direction:column;
      align-items:center;
      gap:var(--space-sm);
      cursor:pointer;
      transition:all var(--transition-normal);
  }

  .category-toggle:hover{
      transform:translateY(-8px);
  }

  .category-toggle:hover .category-icon{
      transform:scale(1.15);
      box-shadow:var(--shadow-hover);
  }
/* Responsive */
@media (max-width: 768px) {
    .categories-grid {
        gap: var(--space-md);
    }
    
    .category-icon {
        width: 64px;
        height: 64px;
    }
    
    .category-icon i {
        font-size: 24px;
    }
    
    .category-name {
        font-size: 12px;
    }
}

@media (max-width: 480px) {
    .categories-grid {
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        gap: var(--space-sm);
    }
    
    .category-icon {
        width: 56px;
        height: 56px;
    }
    
    .category-icon i {
        font-size: 20px;
    }
}
